2

In my openSUSE 13.2 machine I can apply commands like setcap and getcap on some application. I moved that application to an openSUSE 12 machine that does not have capabilities installed. In the 13.2 machine I have packages libcap-ng0, libcap1, libcap1-32bit, libcap2 and libcap2-32bit installed, I installed the same packages on the openSUSE 12 machine and I still get this message:

If 'setcap' is not a typo you can use command-not-found to lookup the package that contains it

Even on root. I just don't remember how I got capabilities to work on my machine. How to install these commands so I can set file capabilities ?

  • 1
    You need libcap-progs – taliezin Mar 10 '15 at 10:56
  • Thanks for the help, it worked. Mind to post it as an answer ? – 3bdalla Mar 10 '15 at 11:54
  • 1
    It is ok, I am glad it worked. :) – taliezin Mar 10 '15 at 12:00
  • I mean you post not me :D – 3bdalla Mar 10 '15 at 12:34
3

You need libcap-progs

sudo zypper install libcap-progs
  • 1
    Is this answer only for Suse? Because I'm not able to find libcap-progs on .deb systems. Where it is more likely the package libcap2-bin – Sandburg Feb 12 at 15:19

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.